#!/bin/bash


oseeArchivedSites=osee_update_sites
oseeUpdateSite=update_site
oseeJavadocPath=osee_javadoc

new_build_path="$1"
previous_build_path=`ls -la \@REL_CURRENT | awk '{print $10}'`

usage(){
 echo "usage: $0 <PATH_TO_NEW_BUILD>"
}

do_work(){
   echo "Update RELEASE Links - CURRENT:[$new_build_path] and PREVIOUS:[$previous_build_path]"
   echo -n "Is this ok [Y|N] [ENTER]"
   read isOK

   if [ "$isOK" == "Y" ]; then

     rm @REL_CURRENT
     rm @REL_PREVIOUS

     ln -s "$new_build_path" @REL_CURRENT
     ln -s "$previous_build_path" @REL_PREVIOUS

     rm @REL_CURRENT_ARCHIVED_SITES
     rm @REL_CURRENT_UPDATE_SITE
     rm @REL_CURRENT_JAVADOC

     ln -s @REL_CURRENT/"$oseeArchivedSites" @REL_CURRENT_ARCHIVED_SITES
     ln -s @REL_CURRENT/"$oseeUpdateSite" @REL_CURRENT_UPDATE_SITE
     ln -s @REL_CURRENT/"$oseeJavadocPath" @REL_CURRENT_JAVADOC
    

     rm @REL_PREVIOUS_ARCHIVED_SITES
     rm @REL_PREVIOUS_UPDATE_SITE
     rm @REL_PREVIOUS_JAVADOC

     ln -s @REL_PREVIOUS/"$oseeArchivedSites" @REL_PREVIOUS_ARCHIVED_SITES
     ln -s @REL_PREVIOUS/"$oseeUpdateSite" @REL_PREVIOUS_UPDATE_SITE
     ln -s @REL_PREVIOUS/"$oseeJavadocPath" @REL_PREVIOUS_JAVADOC
   else
      echo "User Cancelled - no changes made"
      exit 1
   fi
}

if [ -n "$1" ]; then
  do_work
else
  echo "New build path was unspecified [$1]"
  echo
  usage
  exit 1
fi

exit 0
